[问题]一定要装显卡驱动吗??

为当前最终发行版之前的所有版本提供支持
回复
头像
ZidaneLiu
帖子: 190
注册时间: 2007-07-17 8:14
来自: 上海东华大学
送出感谢: 0
接收感谢: 0
联系:

[问题]一定要装显卡驱动吗??

#1

帖子 ZidaneLiu » 2008-01-25 16:50

我是nvidia的显卡FX5100 64M显存,我用的是ubuntu自带的受限驱动,可以开启一些基本特效(就是特效的第二个选项)
我想问一定要装官方的驱动吗,ubuntu的受限驱动和官方的有什么区别?
头像
john.wu
帖子: 1006
注册时间: 2007-10-18 17:40
送出感谢: 0
接收感谢: 0

#2

帖子 john.wu » 2008-01-25 16:53

源中的受限驱动就是Nvidia官方驱动的deb打包版本。比nvidia 的run用起来更方便

之所以叫受限驱动,是因为Nvidia驱动不开源并且有版权,受限驱动还存在依赖关系,下载下来的deb并不能通用于所有ubuntu内核或版本,所以受限。

对于ubuntu正式版,通过apt-update 升级后,由于源中的受限驱动deb也会及时做相应更新,所以就算升级内核后也不用重装nvidia驱动。从nvidia下载的驱动则不然,每次升级ubuntu内核后,都要重装nvidia驱动,不然重则进不了图形界面,轻则3d功能消失。。。

这是ubuntu官方推荐用源中受限驱动的主要原因

千帖户,享有论坛特权!
头像
qiang_liu8183
论坛版主
帖子: 10691
注册时间: 2006-09-10 22:36
来自: 北京
送出感谢: 2 次
接收感谢: 6 次

#3

帖子 qiang_liu8183 » 2008-01-25 20:12

2楼讲得好~~~
看破、放下、自在、随缘、念佛
真诚、清净、平等、正觉、慈悲
头像
ZidaneLiu
帖子: 190
注册时间: 2007-07-17 8:14
来自: 上海东华大学
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 ZidaneLiu » 2008-01-25 20:32

john.wu 写了:源中的受限驱动就是Nvidia官方驱动的deb打包版本。比nvidia 的run用起来更方便

之所以叫受限驱动,是因为Nvidia驱动不开源并且有版权,受限驱动还存在依赖关系,下载下来的deb并不能通用于所有ubuntu内核或版本,所以受限。

对于ubuntu正式版,通过apt-update 升级后,由于源中的受限驱动deb也会及时做相应更新,所以就算升级内核后也不用重装nvidia驱动。从nvidia下载的驱动则不然,每次升级ubuntu内核后,都要重装nvidia驱动,不然重则进不了图形界面,轻则3d功能消失。。。

这是ubuntu官方推荐用源中受限驱动的主要原因
哦,原来是这样,多谢解释啊
回复

回到 “老旧版本支持”